Export (0) Print
Expand All

SecurityManager.ResolveSystemPolicy Method

Note: This API is now obsolete.

Determines which permissions to grant to code based on the specified evidence, excluding the policy for the AppDomain level.

Namespace:  System.Security
Assembly:  mscorlib (in mscorlib.dll)

[ObsoleteAttribute("This method is obsolete and will be removed in a future release of the .NET Framework. See http://go.microsoft.com/fwlink/?LinkID=155570 for more information.")]
public static PermissionSet ResolveSystemPolicy(
	Evidence evidence
)

Parameters

evidence
Type: System.Security.Policy.Evidence
The evidence set used to evaluate policy.

Return Value

Type: System.Security.PermissionSet
The set of permissions that can be granted by the security system.

ExceptionCondition
NotSupportedException

This method uses code access security (CAS) policy, which is obsolete in the .NET Framework version 4. To enable CAS policy for compatibility with earlier versions of the .NET Framework, use the <legacyCasPolicy> element.<NetFx40_LegacySecurityPolicy> Element.

This method invokes the security policy engine and provides it with evidence of the calling code's identity. The result is determined by the system security policy exclusive of any AppDomain policy.

.NET Framework

Supported in: 3.5, 3.0, 2.0
Obsolete (compiler warning) in 4

.NET Framework Client Profile

Supported in: 3.5 SP1
Obsolete (compiler warning) in 4

Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows XP SP2 x64 Edition, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

The .NET Framework does not support all versions of every platform. For a list of the supported versions, see .NET Framework System Requirements.

Community Additions

ADD
Show:
© 2015 Microsoft